org.apache.nutch.net.urlnormalizer.slash

## Class SlashURLNormalizer

- java.lang.Object
- - org.apache.nutch.net.urlnormalizer.slash.SlashURLNormalizer

- All Implemented Interfaces:
    Configurable, URLNormalizer

      public class SlashURLNormalizer
      extends Object
      implements URLNormalizer

  Author:
    markus@openindex.io

- - ### Field Summary

    - ### Fields inherited from interface org.apache.nutch.net.URLNormalizer

      `X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlashURLNormalizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConf()`
    `String` | `normalize(String url, CrawlDatum crawlDatum, String scope)`
    `String` | `normalize(String url, String scope)`
    `void` | `setConf(Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlashURLNormalizer

          public SlashURLNormalizer()

  - ### Method Detail

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### normalize

          public String normalize(String url,
                                  String scope)
                           throws MalformedURLException

      Specified by:
        `normalize` in interface `URLNormalizer`
      Throws:
        `MalformedURLException`

    - #### normalize

          public String normalize(String url,
                                  CrawlDatum crawlDatum,
                                  String scope)
                           throws MalformedURLException

      Throws:
        `MalformedURLException`

Copyright © 2020 The Apache Software Foundation